gdcm::Filename Class Reference

Class to manipulate file name's. More...

`#include <gdcmFilename.h>`

## Public Member Functions

| Filename (const char *filename="")
bool | EndWith (const char ending[]) const
| Does the filename ends with a particular string ?
const char * | GetExtension ()
| return only the extension part of a filename
const char * | GetFileName () const
| Return the full filename.
const char * | GetName ()
| return only the name part of a filename
const char * | GetPath ()
| Return only the path component of a filename.
bool | IsEmpty () const
| return whether the filename is empty
bool | IsIdentical (Filename const &fn) const
| operator const char * () const
const char * | ToUnixSlashes ()
| Convert backslash (windows style) to UNIX style slash.
const char * | ToWindowsSlashes ()
| Convert forward slash (UNIX style) to windows style slash.

## Static Public Member Functions

static const char * | Join (const char *path, const char *filename)

## Detailed Description

Class to manipulate file name's.

Note
  OS independent representation of a filename (to query path, name and extension from a filename)

## Constructor & Destructor Documentation

## Filename()

gdcm::Filename::Filename | ( | const char * | filename = "" | ) |

inline

Referenced by IsIdentical().

## Member Function Documentation

## EndWith()

bool gdcm::Filename::EndWith | ( | const char | ending[] | ) | const

Does the filename ends with a particular string ?

## GetExtension()

const char * gdcm::Filename::GetExtension | ( |  | ) |

return only the extension part of a filename

## GetFileName()

const char * gdcm::Filename::GetFileName | ( |  | ) | const

inline

Return the full filename.

Referenced by operator const char *().

## GetName()

const char * gdcm::Filename::GetName | ( |  | ) |

return only the name part of a filename

## GetPath()

const char * gdcm::Filename::GetPath | ( |  | ) |

Return only the path component of a filename.

Examples
  ClinicalTrialIdentificationWorkflow.cs.

## IsEmpty()

bool gdcm::Filename::IsEmpty | ( |  | ) | const

inline

return whether the filename is empty

## IsIdentical()

bool gdcm::Filename::IsIdentical | ( | Filename const & | fn | ) | const

References Filename().

## Join()

const char * gdcm::Filename::Join | ( | const char * | path,
|  | const char * | filename )

static

Join two paths NOT THREAD SAFE

## operator const char *()

gdcm::Filename::operator const char * | ( |  | ) | const

inline

Simple operator to allow Filename myfilename( "..." ); const char * s = myfilename;

References GetFileName().

## ToUnixSlashes()

const char * gdcm::Filename::ToUnixSlashes | ( |  | ) |

Convert backslash (windows style) to UNIX style slash.

## ToWindowsSlashes()

const char * gdcm::Filename::ToWindowsSlashes | ( |  | ) |

Convert forward slash (UNIX style) to windows style slash.

The documentation for this class was generated from the following file:

- gdcmFilename.h